Package org.apache.sysds.parser

# Enum Class Statement.PSUpdateType

java.lang.Object
java.lang.Enum<Statement.PSUpdateType>
org.apache.sysds.parser.Statement.PSUpdateType

All Implemented Interfaces:
  `Serializable`, `Comparable<Statement.PSUpdateType>`, `Constable`

Enclosing class:
  Statement

public static enum Statement.PSUpdateType extends Enum<Statement.PSUpdateType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASP`
`BSP`
`SBP`
`SSP`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isASP()`
`boolean`
`isBSP()`
`boolean`
`isSBP()`
`static Statement.PSUpdateType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statement.PSUpdateType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BSP

public static final Statement.PSUpdateType BSP

### ASP

public static final Statement.PSUpdateType ASP

### SSP

public static final Statement.PSUpdateType SSP

### SBP

public static final Statement.PSUpdateType SBP

## Method Details

### values

public static Statement.PSUpdateType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Statement.PSUpdateType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isBSP

public boolean isBSP()

### isASP

public boolean isASP()

### isSBP

public boolean isSBP()